#version 120

uniform sampler2D texture;
varying vec2 texCoord;


#define MIX_CONST 1.0 // mix [0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0]

void main() {
    vec4 color = texture2D(texture, texCoord);
    vec4 negativeColor = vec4(1.0 - color.rgb, color.a);
    
    // Mix between normal color and negative color
    gl_FragColor = mix(color, negativeColor, MIX_CONST);
}

